<!DOCTYPE html>
<html>
    <head>
        <title>Zips Coffee</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link type="text/css" rel="stylesheet" href="Lab4-CSS-Styles.css">
        <link href="https://fonts.googleapis.com/css?family=Boogaloo" rel="stylesheet">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

        <script>
            function addCappuccino() {
                var node = document.createElement("option");
                var textnode = document.createTextNode("Cappuccino - $2.99");
                node.appendChild(textnode);
                $("#cart").append(node);
            }

            function addDoughnuts() {
                var node = document.createElement("option");
                var textnode = document.createTextNode("Doughnuts - $3.50");
                node.appendChild(textnode);
                $("#cart").append(node);
            }

            function addBlack() {
                var node = document.createElement("option");
                var textnode = document.createTextNode("Black - $1.99");
                node.appendChild(textnode);
                $("#cart").append(node);
            }

            function addIced() {
                var node = document.createElement("option");
                var textnode = document.createTextNode("Iced - $2.49");
                node.appendChild(textnode);
                $("#cart").append(node);
            }

            $(document).ready(function() {
                $('a').bind('click', function() {
                    var $this = $(this),
                        $total = $("#total"),
                        amount = parseFloat($total.data("amount")) || $total.text();

                    amount += parseFloat($this.data('amount'));

                    $total
                        .data("amount", amount)
                        .text(amount);
                });
            });

            function clearCart() {
                window.location.reload();
            }

            function launchCheckout() {
                if ($("#total").text().length == 0) {
                    window.alert("Please add an item to your cart to advance to the checkout page.");
                } else {
                    window.location.href = "Lab4-HTML-Checkout.html";
                }
            }
        </script>
    </head>
    <body>
        <header>
            <img src="img_AkronZipsLogo.png" alt="Zips Coffee"/> <!-- Retrieved from https://en.wikipedia.org/wiki/Akron_Zips. Source: Akron Zips Athletics Brand Guide, owned by the University of Akron -->
            <h1>Zips Coffee</h1>
        </header>
        <form id="order" name="order" action="Lab4-HTML-Checkout.html" method="get">
            <h2>Drinks & Snacks</h2>
            <p>Click on an image to add it to your cart.</p>
            <div class="item_list">
                <div class="row">
                    <div class="field">
                        <a id="cappuccino" href="#/" onclick="addCappuccino()" data-amount="2.99"><img class="image_on" src="img_Cappuccino.jpg" alt="Cappuccino" style="width:300px;height:250px;"/><img class="image_off" src="img_Cappuccino[Edited].jpg" alt="Cappuccino Price" style="width:300px;height:250px;"/></a> <!-- Original image by Jonathan McIntosh from https://en.wikipedia.org/wiki/Cappuccino, edited with https://www.befunky.com -->
                    </div>
                    <div class="field">
                        <a id="doughnuts" href="#/" onclick="addDoughnuts()" data-amount="3.50"><img class="image_on" src="img_DoughnutHoles.jpg" alt="Doughnut Holes" style="width:300px;height:250px;"/><img class="image_off" src="img_DoughnutHoles[Edited].jpg" alt="Doughnut Holes Price" style="width:300px;height:250px;"/></a> <!-- Original image by Raysonho @ Open Grid Scheduler / Grid Engine from https://en.wikipedia.org/wiki/Doughnut, edited with https://www.befunky.com -->
                    </div>
                </div>
                <div class="row2">
                    <div class="field">
                        <a id="black" href="#/" onclick="addBlack()" data-amount="1.99"><img class="image_on" src="img_OriginalBlack.jpg" alt="Original Black" style="width:300px;height:250px;"/><img class="image_off" src="img_OriginalBlack[Edited].jpg" alt="Original Black Price" style="width:300px;height:250px;"/></a> <!-- Original image by Julius Schorzman from https://en.wikipedia.org/wiki/Coffee#Serving, edited with https://www.befunky.com -->
                    </div>
                    <div class="field">
                        <a id="iced" href="#/" onclick="addIced()" data-amount="2.49"><img class="image_on" src="img_OriginalIced.jpg" alt="Orginal Iced" style="width:300px;height:250px;"/><img class="image_off" src="img_OriginalIced[Edited].jpg" alt="Original Iced Price" style="width:300px;height:250px;"/></a> <!-- Original image by Kenny Louie. Source: Blue Bottle Kyoto Style Ice Coffee. Retrieved from https://en.wikipedia.org/wiki/Iced_coffee. Edited with https://www.befunky.com -->
                    </div>
                </div>
            </div>
            <div class="item_cart">
                <h2>Your Cart</h2>
                <select id="cart" name="cart" size="4"></select>
                <p>Total:</p>
                <p id="total"></p>
                <input type="button" name="placeOrder" id="placeOrder" value="Place Order" onclick="launchCheckout()">
                <input type="button" name="cancelOrder" id="cancelOrder" value="Cancel Order" onclick="clearCart()">
            </div>
        </form>
    </body>
</html>